19 lines
759 B
Diff
19 lines
759 B
Diff
Index: libreoffice-6.3.0.4/desktop/scripts/soffice.sh
|
|
===================================================================
|
|
--- libreoffice-6.3.0.4.orig/desktop/scripts/soffice.sh
|
|
+++ libreoffice-6.3.0.4/desktop/scripts/soffice.sh
|
|
@@ -31,6 +31,13 @@ export LC_ALL
|
|
SAL_ENABLE_FILE_LOCKING=1
|
|
export SAL_ENABLE_FILE_LOCKING
|
|
|
|
+CONFIG_DIR=~/.config/libreoffice/4/user/extensions
|
|
+if ! [ -f $CONFIG_DIR/bundled/extensions.pmap ] || ! [ -f $CONFIG_DIR/buildid ]; then
|
|
+ rm -rf $CONFIG_DIR/bundled
|
|
+ unopkg list --bundled > /dev/null 2>&1 && \
|
|
+ grep -oP 'buildid=\K.*' /usr/lib/libreoffice/program/versionrc > $CONFIG_DIR/buildid
|
|
+fi
|
|
+
|
|
# uncomment line below to disable anti aliasing of fonts
|
|
# SAL_ANTIALIAS_DISABLE=true; export SAL_ANTIALIAS_DISABLE
|
|
|